Loading...
Searching...
No Matches
lutok::stack_cleaner::impl Struct Reference

Internal implementation for lutok::stack_cleaner. More...

Collaboration diagram for lutok::stack_cleaner::impl:
[legend]

## Public Member Functions

| impl (state &state_ref_, const unsigned int original_depth_)
| Constructor.

## Public Attributes

state & | state_ref
| Reference to the Lua state this stack_cleaner refers to.
unsigned int | original_depth
| The depth of the Lua stack to be restored.

## Detailed Description

Internal implementation for lutok::stack_cleaner.

## Constructor & Destructor Documentation

## impl()

lutok::stack_cleaner::impl::impl | ( | state & | state_ref_,
|  | const unsigned int | original_depth_ )

inline

Constructor.

Parameters

  state_ref_ | Reference to the Lua state.
  original_depth_ | The depth of the Lua stack.

The documentation for this struct was generated from the following file:

- stack_cleaner.cpp